about summary refs log tree commit diff
path: root/tests/substituter2.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2005-01-25T13·00+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2005-01-25T13·00+0000
commitc6290e42bc8890e2036013773a98e3551352c91a (patch)
tree898c4017359d92cd942be6890d298e0574dee1c1 /tests/substituter2.sh
parent581fc477838e9cf9e5d9657920ef63ea836050ee (diff)
* Fix the `--fallback' switch.
* Fix the substitutes tests.

Diffstat (limited to 'tests/substituter2.sh')
-rwxr-xr-xtests/substituter2.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/substituter2.sh b/tests/substituter2.sh
new file mode 100755
index 000000000000..84925b94405f
--- /dev/null
+++ b/tests/substituter2.sh
@@ -0,0 +1,18 @@
+# Set a PATH (!!! impure).
+export PATH=/bin:/usr/bin:$PATH
+
+mkdir $out
+
+cat > $out/substituter <<EOF
+#! /bin/sh -ex
+echo \$*
+
+case \$* in
+    *)
+        exit 1
+        ;;
+esac        
+EOF
+
+chmod +x $out/substituter
+